Name:           btawm
Version:        0.2.9
Release:        2%{?dist}
Summary:        btawm a small window manager

Group:          User Interface/Desktops
License:        BSD-like
#URL:            
Source0:        btawm-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
Requires:      xterm

%description
A small window manager. Mostly keyboard driven, so you can position and
generally manage your windows without leaving your keyboard for the mouse.
You have 8 workspaces for organizing your windows.
One feature sometime missing from other window manager is that you can extend
a window and make it bigger than the screen.

%prep
%setup -q -n btawm


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d ${RPM_BUILD_ROOT}/usr/share/xsessions/
install -m 755 -t ${RPM_BUILD_ROOT}/usr/share/xsessions/ btawm.desktop
install -m 755 -d ${RPM_BUILD_ROOT}/etc/
install -m 755 -t ${RPM_BUILD_ROOT}/etc btawmrc

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog Changes.kja3 NEWS README
/usr/bin/btawm
/usr/share/xsessions/btawm.desktop
/etc/btawmrc

%changelog
